=== debian/control ===
Source: ros-iron-camera-calibration-parsers
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-cmake-ros, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-rclcpp, ros-iron-rcpputils, ros-iron-sensor-msgs, ros-iron-yaml-cpp-vendor, ros-iron-ros-workspace
Homepage: http://ros.org/wiki/camera_calibration_parsers
Standards-Version: 3.9.2

Package: ros-iron-camera-calibration-parsers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-rclcpp, ros-iron-rcpputils, ros-iron-sensor-msgs, ros-iron-yaml-cpp-vendor, ros-iron-ros-workspace
Description: camera_calibration_parsers contains routines for reading and writing camera calibration parameters.
